## grendel.storage.mdb
Interface nsIMdbTableRowCursor

public abstract interface nsIMdbTableRowCursor
extends nsIMdbCursor

Method Summary
`nsIMdbTable` | `GetTable(nsIMdbEnv ev)`
`nsIMdbRow` | `NextRow(nsIMdbEnv ev)`
`grendel.storage.mdb.mdbOid` | `NextRowCopy(nsIMdbEnv ev, nsIMdbRow ioSinkRow)`
`grendel.storage.mdb.mdbOid` | `NextRowCopyAll(nsIMdbEnv ev, nsIMdbRow ioSinkRow)`
`grendel.storage.mdb.mdbOid` | `NextRowOid(nsIMdbEnv ev)`
`void` | `SetTable(nsIMdbEnv ev, nsIMdbTable ioTable)`

Methods inherited from interface grendel.storage.mdb.nsIMdbCursor
`GetCount, GetDoFailOnSeedOutOfSync, GetPos, GetSeed, SetDoFailOnSeedOutOfSync, SetPos`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### SetTable

    public void SetTable(nsIMdbEnv ev,
                         nsIMdbTable ioTable)

### GetTable

    public nsIMdbTable GetTable(nsIMdbEnv ev)

### NextRowOid

    public grendel.storage.mdb.mdbOid NextRowOid(nsIMdbEnv ev)

### NextRow

    public nsIMdbRow NextRow(nsIMdbEnv ev)

### NextRowCopy

    public grendel.storage.mdb.mdbOid NextRowCopy(nsIMdbEnv ev,
                                                  nsIMdbRow ioSinkRow)

### NextRowCopyAll

    public grendel.storage.mdb.mdbOid NextRowCopyAll(nsIMdbEnv ev,
                                                     nsIMdbRow ioSinkRow)